# Domestic Site

## TODO

- Diamond Button
	- Create basic mockup
- Support Panel
- ReciteMe
	- Need to add z-index onto the recite-me trigger buttons as the diamond panel will overlap
		- Setting the homepage-site-header to a z-index of 5 seems to work fine (any value about 0 should work)

## Recite Me Test Plan

### Test Plan Context

| id | context                |
|----|------------------------|
| 0  | CMS System Preferences |
| 1  | Accessibility Link     |
| 2  | Language Switch        |
| 3  | Recite Me Toolbar      |
| 4  | Mega Menu              |

| id         | Value              |
|------------|--------------------|
| <Language> | Polish             |


### Test Plan List

| id | context  | action                                                                | expected                                                             | checked |
| -- | -------  | --------------------------------------------------------------------- | -------------------------------------------------------------------  | -----   |
| 0  | 0/3      | Recite Me Toolbar Button Enabled                                      | window.WPDReciteMe is loads and is available                         | [x]     |
| 1  | 0/3      | Recite Me Toolbar Button Enabled                                      | Speak or Translate button is available                               | [x]     |
| 2  | 0/3      | Recite Me Toolbar Button Enabled                                      | Speak or Translate button can be clicked to open ReciteMe toolbar    | [x]     |
| 3  | 0/1      | Enable accessibility link                                             | AL is available                                                      | [x]     |
| 4  | 0/1      | Enable accessibility link                                             | AL can be clicked as a link                                          | [x]     |
| 5  | 0/1      | AL Page URL set to none/AL manual URL set to ''                       | AL being clicked leads to same page                                  | [x]     |
| 6  | 0/1      | AL Page URL set to page/AL manual URL set to 'www.nationalgrid.co.uk' | AL being clicked takes you to Core Page specified                    | [x]     |
| 7  | 0/1      | AL Page URL set to none/AL manual URL set to 'www.nationalgrid.co.uk' | AL being clicked takes you to 'www.nationalgrid.co.uk'               | []      |
| 8  | 0/1      | AL Page URL set to page/AL manual URL set to ''                       | AL being clicked takes you to Core Page specified                    | [x]     |
| 9  | 0/1      | AL Text set to ''                                                     | AL text displays as 'Accessibility'                                  | [x]     |
| 10 | 0/1      | AL Text set to 'Test Text'                                            | AL text displays as 'Text Text'                                      | [x]     |
| 11 | 0/1      | AL Target set to '_self'                                              | AL target set to '_self'                                             | [x]     |
| 12 | 0/1      | AL Target set to '_blank'                                             | AL target set to '_blank'                                            | [x]     |
| 13 | 0/2      | Enable Lanuage switch set to true                                     | Language switch is available and can be clicked                      | [x]     |
| 14 | 0/2      | Enable Lanuage switch set to false                                    | Language switch is unavailable                                       | [x]     |
| 15 | 0/3      | Recite Me Toolbar button disabled                                     | Speak or Translate button is unavailable                             | [x]     |
| 16 | 0/2/3    | Recite Me Toolbar enabled and Language Switch Enabled                 | Recite Me and toolbar and language switch available                  | [x]     |
| 17 | 0/2/3    | Recite Me Toolbar enabled and Language Switch disabled                | Recite Me and toolbar available only                                 | [x]     |
| 18 | 0/2/3    | Recite Me Toolbar disabled and Language Switch Enabled                | Recite Me and language switch available only                         | [x]     |
| 19 | 0/2/3    | Recite Me Toolbar disabled and Language Switch disabled               | Recite Me unavailable                                                | [x]     |
| 20 | 3        | All ReciteMe toolbar buttons perform their designated function        | Same behaviour as nationalgrid.co.uk ReciteMe                        | [x]     |
| 21 | 2        | Language switch clicked when set to English                           | MegaMenu language switch matches header controls                     | [x]     |
| 22 | 2        | Language switch clicked when set to Welsh/Cymraeg                     | MegaMenu language switch matches header controls                     | [x]     |
| 23 | 2/3      | Setting language to <Language>                                        | All text on screen is translated to <Language>                       | [x]     |
| 24 | 2/3      | Refreshing page after setting language to <Language>                  | Page loads and translates to <Language>                              | [x]     |
| 25 | 4        | Check MegaMenu Recite Me controls                                     | MegaMenu Recite Me controls work the same way as header              | [x]     |
| 26 | 4        | Open MegaMenu after switching to <Language>                           | MegaMenu contents translate to <Language>                            | [x]     |
| 27 | 2/3      | Going to another page on the site                                     | Recite Me translates the page into the <Language>                    | [x]     |
| 28 | 0/1/2/3  | All options set as disabled or '' or None (what page to link to)      | Recite Me does not load, window.WPDReciteMe is not available warning | [x]     |

## GA4 Test Plan

### Test Plan Context


| id    | context                     |
| ----- | -----                       |
| 0     | No cookies accepted         |
| 1     | Functional cookies accepted |
| 2     | Tracking cookies accepted   |
| 3     | All cookies accepted        |

> The above relates to both the testing context along with the level order for the cookies

### Test Plan List

| id    | context | action | expected | checked |
| ----- | -----   | -----  | -----    | -----   |
| 0     | 0/3     |        |          | []      |


## Snap Scroll Double Scroll Bar Test Plan

- Ticket: https://enigma-interactive.atlassian.net/browse/WPDP-1447 and https://enigma-interactive.atlassian.net/browse/WPDP-1434

### Test Plan Context

| id    | context                     |
| ----- | -----                       |
| 0     | Snap Scroll Enabled         |
| 1     | Snap Scroll Disabled        |
| 2     | Pre Fix                     |
| 3     | Post Fix                    |
| 4     | Desktop View                |
| 5     | Mobile View                 |

> Pre Fix has:
	> html { overflow-y: hidden }
> Post fix has:
	> html:has(body.snapScrollEnabled--false) {
    > 	overflow-y: auto;
	> }
	> html:has(body.snapScrollEnabled--true) {
    > 	overflow-y: hidden;
	> }
> I do believe that what UAT has, as of 11:19:43 2025-04-01, is:
	> html { overflow-y: auto }
> The above will have also been tested across the following browsers:
	> Chrome
	> Firefox
	> Opera
	> Edge

### Test Plan List

| id    | context | action                                                       | expected                                                   | checked |
| ----- | -----   | -----                                                        | -----                                                      | -----   |
| 0     | 0/2/4   | Load the page, with cleared cookies so ReciteMe doesn't load | Snap scrolling available, edge has double scroll bar issue | []      |
| 1     | 0/2/4   | Load the page, without cleared cookies so ReciteMe loads     | Snap scrolling available, edge has double scroll bar issue |         |
| 2     | 0/2/4   | Open Mega Menu without ReciteMe loaded                       | Snap scrolling available, edge has double scroll bar issue |         |
| 3     | 0/2/4   | Open Mega Menu with ReciteMe loaded                          | Snap scrolling available, edge has double scroll bar issue |         |
| 4     | 0/2/4   | Open ReciteMe without Mega Menu loaded                       | Snap scrolling available, edge has double scroll bar issue |         |
| 5     | 0/2/4   | Open ReciteMe with Mega Menu loaded                          | Snap scrolling available, edge has double scroll bar issue |         |
| 6     | 0/2/5   | Load the page, with cleared cookies so ReciteMe doesn't load | Snap scrolling available, edge has double scroll bar issue | []      |
| 7     | 0/2/5   | Load the page, without cleared cookies so ReciteMe loads     | Snap scrolling available, edge has double scroll bar issue |         |
| 8     | 0/2/5   | Open Mega Menu without ReciteMe loaded                       | Snap scrolling available, edge has double scroll bar issue |         |
| 9     | 0/2/5   | Open Mega Menu with ReciteMe loaded                          | Snap scrolling available, edge has double scroll bar issue |         |
| 10    | 0/2/5   | Open ReciteMe without Mega Menu loaded                       | Snap scrolling available, edge has double scroll bar issue |         |
| 11    | 0/2/5   | Open ReciteMe with Mega Menu loaded                          | Snap scrolling available, edge has double scroll bar issue |         |
| 12    | 1/2/4   | Load the page, with cleared cookies so ReciteMe doesn't load | There is no scrolling available                            | []      |
| 13    | 1/2/4   | Load the page, without cleared cookies so ReciteMe loads     | There is no scrolling available                            |         |
| 14    | 1/2/4   | Open Mega Menu without ReciteMe loaded                       | There is no scrolling available                            |         |
| 15    | 1/2/4   | Open Mega Menu with ReciteMe loaded                          | There is no scrolling available                            |         |
| 16    | 1/2/4   | Open ReciteMe without Mega Menu loaded                       | There is no scrolling available                            |         |
| 17    | 1/2/4   | Open ReciteMe with Mega Menu loaded                          | There is no scrolling available                            |         |
| 18    | 1/2/5   | Load the page, with cleared cookies so ReciteMe doesn't load | Scrolling does not work correctly                          | []      |
| 19    | 1/2/5   | Load the page, without cleared cookies so ReciteMe loads     | Scrolling does not work correctly                          |         |
| 20    | 1/2/5   | Open Mega Menu without ReciteMe loaded                       | Scrolling does not work correctly                          |         |
| 21    | 1/2/5   | Open Mega Menu with ReciteMe loaded                          | Scrolling does not work correctly                          |         |
| 22    | 1/2/5   | Open ReciteMe without Mega Menu loaded                       | Scrolling does not work correctly                          |         |
| 23    | 1/2/5   | Open ReciteMe with Mega Menu loaded                          | Scrolling does not work correctly                          |         |
| 24    | 0/3/4   | Load the page, with cleared cookies so ReciteMe doesn't load | No double scroll bar, snap scrolling works fine            | []      |
| 25    | 0/3/4   | Load the page, without cleared cookies so ReciteMe loads     | No double scroll bar, snap scrolling works fine            |         |
| 26    | 0/3/4   | Open Mega Menu without ReciteMe loaded                       | No double scroll bar, snap scrolling works fine            |         |
| 27    | 0/3/4   | Open Mega Menu with ReciteMe loaded                          | No double scroll bar, snap scrolling works fine            |         |
| 28    | 0/3/4   | Open ReciteMe without Mega Menu loaded                       | No double scroll bar, snap scrolling works fine            |         |
| 29    | 0/3/4   | Open ReciteMe with Mega Menu loaded                          | No double scroll bar, snap scrolling works fine            |         |
| 30    | 0/3/5   | Load the page, with cleared cookies so ReciteMe doesn't load | No double scroll bar, snap scrolling works fine            | []      |
| 31    | 0/3/5   | Load the page, without cleared cookies so ReciteMe loads     | No double scroll bar, snap scrolling works fine            |         |
| 32    | 0/3/5   | Open Mega Menu without ReciteMe loaded                       | No double scroll bar, snap scrolling works fine            |         |
| 33    | 0/3/5   | Open Mega Menu with ReciteMe loaded                          | No double scroll bar, snap scrolling works fine            |         |
| 34    | 0/3/5   | Open ReciteMe without Mega Menu loaded                       | No double scroll bar, snap scrolling works fine            |         |
| 35    | 0/3/5   | Open ReciteMe with Mega Menu loaded                          | No double scroll bar, snap scrolling works fine            |         |
| 36    | 1/3/4   | Load the page, with cleared cookies so ReciteMe doesn't load | No double scroll bar, normal scrolling works fine          | []      |
| 37    | 1/3/4   | Load the page, without cleared cookies so ReciteMe loads     | No double scroll bar, normal scrolling works fine          |         |
| 38    | 1/3/4   | Open Mega Menu without ReciteMe loaded                       | No double scroll bar, normal scrolling works fine          |         |
| 39    | 1/3/4   | Open Mega Menu with ReciteMe loaded                          | No double scroll bar, normal scrolling works fine          |         |
| 40    | 1/3/4   | Open ReciteMe without Mega Menu loaded                       | No double scroll bar, normal scrolling works fine          |         |
| 41    | 1/3/4   | Open ReciteMe with Mega Menu loaded                          | No double scroll bar, normal scrolling works fine          |         |
| 42    | 1/3/5   | Load the page, with cleared cookies so ReciteMe doesn't load | No double scroll bar, normal scrolling works fine          | []      |
| 43    | 1/3/5   | Load the page, without cleared cookies so ReciteMe loads     | No double scroll bar, normal scrolling works fine          |         |
| 44    | 1/3/5   | Open Mega Menu without ReciteMe loaded                       | No double scroll bar, normal scrolling works fine          |         |
| 45    | 1/3/5   | Open Mega Menu with ReciteMe loaded                          | No double scroll bar, normal scrolling works fine          |         |
| 46    | 1/3/5   | Open ReciteMe without Mega Menu loaded                       | No double scroll bar, normal scrolling works fine          |         |
| 47    | 1/3/5   | Open ReciteMe with Mega Menu loaded                          | No double scroll bar, normal scrolling works fine          |         |
		
### Testing Notes
- Can't see	the accessibility controls on Chrome mobile once ReciteMe is open, seems to be a common issue actually.

