# Your Power Future

## Core Upgrade Notes

- [YPF Core Upgrade 2.2.17.8 -> 2.3.40.2 Ticket](https://enigma-interactive.atlassian.net/browse/NGEDSME-526)
- [YPF Core Upgrade 2.2.17.8 -> 2.3.40.2 Docs](https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/34082425/WPD+Core+Upgrade+-+Your+Power+Future+-+2.2.17.8+-+2.3.40.2)
- [Core Releases](https://enigma-interactive.atlassian.net/projects/PF?selectedItem=com.atlassian.jira.jira-projects-plugin%3Arelease-page&status=released-unreleased)
- [YPF Cookie Banner Ticket](https://enigma-interactive.atlassian.net/browse/NGEDSME-527)
- [YPF Core Upgrade 2.2.17.8 -> 2.4.XX](https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/266698893/WPD+Core+Upgrade+-+Your+Power+Future+-+2.2.17.8+-+2.4.XX)

## Current State

- The site is able to be loaded after running `core deps && core up && core precompile && core again`
- Cookie banner is present and functional on the page, albiet with some MAJOR styling and positioning issues.

## Todo 

- Check upgrade_tickets.csv for full list to check.
	- This list will be converted over to a table that will then go into the Confluence page.
- Cookie Banner styling needs fixing, whether it is functional can be done as part of the ticket checks or high level checks.
- Site initialisation needs fixing, I should be able to do `core checkout [ypf repo] && core deps && core up && core again` and it should just work from that point.
	- This can probably be tested against other sites to make sure that this behaviour is conistent.
	- Think about GUMP here as the basic command runner, perhaps a dev-env.sh module, or just a core wrapper would do.
- Jira page will also need the dependency changes made.
	- At this rate, having a html template or something would be so much easier for these core upgrades.
		- Realistically, its a ticket check between 2 versions, dependency upgrade, high level tests, module tests.

## Scratch Notes

- First thing is to upgrade the core version and then get the site working, everything else comes after the site is live.
- This makes me pray for a real play documentation site.
- Removed the unused deps and updated the rest to 2.4
- I think we needed to do: core configure to hard set some values.
- Need to do `core configure -c 2.4 -j Zulu-21 -p 1.7.1` and update .core_options to 2.4
- play_pdf module seems to have still been using log4j 1 not 2, updating a few methods using: https://logging.apache.org/log4j/2.x/migrate-from-log4j1.html fixed it.
- Commented out WPDFastTags.java from setting display type as it's deprecated, will need to find the right fix for 
- W00002Generator.java needed different sting utils
- JargonBuster needs WPDUtils
- Might have a look at building each module individually to get the right dependencies in, once theyre all fine, the site should work ?
- Core assetsL AssetAttributeSupport was not visible for the rest of the application, those 3 files were moved over
- The above is the main issue, seems to be happening from CoreEvent also?
- Issue woith JargonBuster was coming from utils.WPDUtils vs import wpd.utils.CoreHelper
- java.lang.NullPointerException: Cannot invoke "org.eclipse.jdt.internal.compiler.lookup.TypeBinding.leafComponentType()" because "binding" is null
	- Is this saing that something is missing?
	- That is exactly what it is saying, using core precompile is the way forward
- Looks like the site is now loading!
- Some styling issues are happening though.
- 08:25:57 2025-04-07 I'll run core up and see what happens.
- Looks like that no longer breaks the site, will try the same thing 10:36:10 2025-04-07 for `core refresh --total`
- Site appears to be running, next task is to remove the current cookie implementation and update it to core_cookies 2.4
- Cookies needed webpack installing, `core js-build` after copying the powercuts package.json file worked fine.
- Cookies work but need the correct styling, after this I'll work on trying to clean up the dependencies.
- Cookies seem to just have the styling issue/universal search banner loading fail ? Breaks Angular so thinking it's stopping other execution that needs to happen for the cookies
- I will be being moved off of this work to work on some of the DSO stuff, will need to get this into a state that I can push the changes onto a branch and then comback to it.
- WHY IS THE FUCKING MPSHUB BACK, I know why, I did a full refresh and broke some things!

## Pre Move List
- [ ] core_user module needs BCrypt.java
- [X] core_event 2.0 needing core_article 2.4 instead of 2.0 
	- We're importing core_article 2.4 at the site level, this one is fixed
- [X] core_asset 2.4 requires core_sass 2.4
	- this can do without, no issues without it as we add it in at the site level
- [ ] wpdutils needing `_utilities.gradient.scss`
- [X] wpd news all moved over to 2.4, removed MPsHub from deps
	- This one is fine to leave as is, I'll check if I actually need the entire change however.
	- basic build worked finme
	- full rebuild worked fine
- [X] wpd site contentneeds wpdcustomerportal 1.0
	- Same as wpd news, fine to leave as is, but will double check via build
	- basic build worked fine
	- full rebuild worked fine
- [ ] enums got changed from WPD -> YPFWPD
- [X] added in webpack + potential for vue to get alpine working
	- this will stay in no matter what

## Recurring errors
- The file {module:core_asset}/app/core/asset/CoreAssetPlugin.java could not be compiled. Error raised is : core.AssetAttributeSupport cannot be resolved

## Issue List
- play_pdf module cannot build due to log4j logger being unavailable.
- style module cannot build due to WPDFastTags not being able to see displayType from CoreForm

## Core Versions to check
- project = PF AND fixVersion in (2.2.18, 2.2.18.1,2.2.18.2,2.2.18.3,2.2.18.4,2.2.18.5,2.2.19, 2.2.19.1,2.2.19.2, 2.2.20, 2.3.0, 2.3.02, 2.3.03, 2.3.04, 2.3.05, 2.3.06.1, 2.3.06.2, 2.3.07, 2.3.08, 2.3.09, 2.3.1, 2.3.1.1, 2.3.10, 2.3.10.1, 2.3.10.2, 2.3.11, 2.3.12, 2.3.12.1, 2.3.13, 2.3.13.1, 2.3.14, 2.3.15, 2.3.15.1, 2.3.16, 2.3.17, 2.3.18, 2.3.19, 2.3.19.1, 2.3.20, 2.3.20.1, 2.3.21, 2.3.22, 2.3.22.1, 2.3.23, 2.3.23.1, 2.3.23.2, 2.3.23.3, 2.3.24, 2.3.24.1, 2.3.25, 2.3.25.1, 2.3.25.2, 2.3.25.3, 2.3.26, 2.3.27, 2.3.27.1, 2.3.28, 2.3.28.1, 2.3.28.2, 2.3.28.3, 2.3.28.4, 2.3.29, 2.3.29.1, 2.3.3, 2.3.30, 2.3.30.1, 2.3.31, 2.3.31.1, 2.3.32, 2.3.32.1, 2.3.32.2, 2.3.33, 2.3.33.1, 2.3.34, 2.3.34.1, 2.3.34.2, 2.3.35, 2.3.35.1, 2.3.36, 2.3.36.1, 2.3.36.2, 2.3.37, 2.3.38,2.3.38.1,2.3.38.2,2.3.38.3, 2.3.38.4, 2.3.38.5, 2.3.39, 2.3.39.1, 2.3.4, 2.3.4.1, 2.3.4.2, 2.3.40, 2.3.40.1, 2.3.40.2, 2.3.41, 2.3.41.1, 2.3.41.2, 2.3.42, 2.3.43, 2.3.43.1, 2.3.43.2, 2.3.44, 2.3.44.1, 2.3.45, 2.3.46, 2.3.47, 2.3.48, 2.3.5, 2.3.6, 2.3.7, 2.3.8, 2.3.8.1, 2.3.9, 2.4.0, 2.4.00, 2.4.01, 2.4.02, 2.4.03, 2.4.04, 2.4.05, 2.4.06, 2.4.07, 2.4.08, 2.4.09, 2.4.1, 2.4.1.1, 2.4.1.2, 2.4.2, 2.4.3, 2.4.3.1, 2.4.4, 2.4.4, 2.4.5, 2.4.5.1, 2.4.5.2, 2.4.5.3, 2.4.5.4, 2.4.6, 2.4.6.1, 2.4.6.2, 2.4.6.3, 2.4.7, 2.4.7.1, 2.4.7.2, 2.4.7.3, 2.4.8, 2.4.8.1, 2.4.8.2, 2.4.9, 2.4.9.1, 2.4.9.2, 2.4.10, 2.4.10.1, 2.4.11, 2.4.11.1, 2.4.12, 2.4.12.1, 2.4.12.2, 2.4.12.3, 2.4.12.4, 2.4.13, 2.4.14, 2.4.14.1, 2.4.14.2, 2.4.14.3, 2.4.15, 2.4.15.1, 2.4.15.2, 2.4.16, 2.4.16.1, 2.4.16.2, 2.4.17, 2.4.17.1, 2.4.17.2, 2.4.18, 2.4.18.1, 2.4.18.2, 2.4.19, 2.4.19.1, 2.4.19.2, 2.4.19.3, 2.4.20, 2.4.20.1, 2.4.20.2, 2.4.20.3, 2.4.21, 2.4.21.1, 2.4.22, 2.4.22.1, 2.4.22.2, 2.4.22.3, 2.4.23, 2.4.23.1, 2.4.24, 2.4.25) AND (parent NOT in (PF-4513, PF-4497, PF-3218) OR parent IS null) ORDER BY fixVersion ASC, key ASC 
- All of the tickets are now in a spreadsheet using the above, also put this onto the upgrade page. 
 
 
## Test Plan

- In order to actually make sure that the site works, I need a test plan. Nothing for this exists yet, so I am free to make it as I please.
- The tests should be broken down into sections of the site; once I start writing tests, categories can come to me then. The more the better I think, since they can be reapeated in chunks.

- The following lists are now checklists for whether the real tests have been written.

### CMS
- [ ] System
	- [ ] Admin
		- [ ] Maintenance Modes
		- [ ] System Preferences
		- [ ] Manage security keys
		- [ ] Tweak the site feature flags
		- [ ] Manage Message Sets
		- [ ] Clear Local Cache
		- [ ] View Site Routes
		- [ ] Recalculate Page Routes
		- [ ] Instance Config Check
		- [ ] Cluster Test Area
		- [ ] Strucutred Data Viewer
	- [ ] Meta
		- [ ] Configure Metadata
		- [ ] Meta Configuration Managers
	- [ ] Batch System
		- [ ] Manage Batch Jobs
	- [ ] Quick Menu
		- [ ] Edit quick menu
	- [ ] Site Export
		- [ ] Export the site SQL / Assets
	- [ ] Logging
		- [ ] Action Trail
		- [ ] Error Logs
		- [ ] View Site Email Logs
- [ ] User Accounts
	- [ ] GPDR
		- [ ] View GDPR Records
		- [ ] Configure Consent Options
	- [ ] CMS Users
		- [ ] Manage Users
		- [ ] Manage Admin Roles
		- [ ] View login history
		- [ ] Manage access restrictions
- [ ] Site Content
	- [ ] Site Information
		- [ ] Organisation Profile
	- [ ] Pages
		- [ ] Manage Navigation
		- [ ] Manage Pages
		- [ ] Manage Redirects
		- [ ] Manage Templates
		- [ ] Export YML Skeleton
		- [ ] Manage robots.txt
	- [ ] Metrics
		- [ ] View Metrics Events
	- [ ] Images & Assets
		- [ ] Manage Images & Assets
	- [ ] Emails
		- [ ] Manage Email
		- [ ] Manage Mailing Lists
		- [ ] Manage Contacts
	- [ ] Taxonomy
		- [ ] Manage taxonomies
	- [ ] Forms
		- [ ] Manage Forms
		- [ ] Manage Form Submissions
		- [ ] Manage Form Protect Reports
	- [ ] Dashboards
		- [ ] View Quick Menu
		- [ ] View KPI Dashboard
	- [ ] SiteContent
		- [ ] UniversalContactPanelItems
		- [ ] UniversalPromoPanelIconItems
	- [ ] Business Engagement
		- [ ] Manage Action Vote Forms
		- [ ] View Action Vote Submissions
		- [ ] Manage Action Commitment Forms
		- [ ] View Action Commitment Submissions
		- [ ] Business Plan Splashpage Config
	- [ ] Universal Site Wide Alerts
- [ ] Events
	- [ ] Manage Events
	- [ ] Manage Venues
- [ ] News
	- [ ] Articles
	- [ ] Manage Newsletter Panels
- [ ] Site Search
	- [ ] Search Results appear in the list

### Setup
- [ ] Dependencies
- [ ] Site Setup

### Website

- [ ] Page loads correctly.
	- [ ] Google Analytics
	- [ ] Document Library Check
	- [ ] Site Footer
	- [ ] Universal Site Header
		- [ ] Navigation Bar 
			- [ ] Power Cuts Link
			- [ ] Connections Link
			- [ ] Careers Link
			- [ ] Your Power Future Link
			- [ ] DSO Link
			- [ ] Search Bar
				- [ ] Page after that looks okay and gives documents
			- [ ] ReciteMe
				- [ ] All of that shit.
			- [ ] Universal Collapsing Menu 
				- [ ] Air Power
				- [ ] Power Discovery Zone
				- [ ] Planner Outages
				- [ ] Connected Data Portal
		- [ ] Mega Menu
			- [ ] Home Link
			- [ ] Open/Dropdown Links
				- [ ] Our Engagement Groups
					- [ ] Our Engagement Groups Page and form
				- [ ] Our Workshops & Events
					- [ ] Our Workshops & Events page
					- [ ] Upcoming Events Filter/Testing
					- [ ] Stakeholder registration form
				- [ ] How are we delivering
				- [ ] Have your say
				- [ ] What we've heard

 
 
### Version Changes (OBSOLETE)

#### Ticket Relevancy

| Core Version | Ticket  | Ticket Explanation                                    | Test Result |
| ------------ | ------  | ------------------                                    | ----------- |
| 2.3.1        | PF-1567 | @ModelCollection - sortable = false still sortable    | SUCCESS     |
| 2.3.1        | PF-1697 | How to use Core.Pagination - Documentation Request    | N/A         |
| 2.3.20       | PF-1916 | Implement CORE date / time picker compatible with CSP | SUCCESS     |
| 2.3.0        | PF-2322 | Redirect RegEx only editible by admins in CMS         | SUCCESS     |

#### Ticket Relevancy Notes
- PF-1567 - Only instance of `sortable=` in YPF is in the CoreRobotsAgent.java, swapped `sortable=false` to `sortable=true` and back to make sure that the Robot File Entries are sortable only when `sortable=true`. 
- PF-1697 - This is just a documentation request, nothing actionable.
- PF-1916 - Confluence document is missing. From the screenshots + comments, the date picker mentioned is no longer in use, as in we have updated past this point.
- PF-2322 - Option does not appear for non-admin user, cannot edit redirect with option set as non-admin.

### Test Plan Table

- https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/234717190/NGED+Core+Upgrade+-+Connections+-+2.3.45+-+2.3.47
- https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/34082266/WPD+Core+Upgrade+-+Customer+Engagement+Group+-+2.3.35+-+2.3.35.2
- https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/34082261/WPD+Core+Upgrade+-+Air+Power+-+2.3.30+-+2.3.30.2
- https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/266698893/WPD+Core+Upgrade+-+Your+Power+Future+-+2.2.17.8+-+2.4.XX

| id | Context                                       | Test                     | Test Goal                                          | Test Action                                               | Notes                | Test Result |
| -- | -------                                       | ------------             | ------------------                                 | ------------                                              | -----                | ----------- |
| 1  | CMS/SiteContent/SiteInformation               | Organisation Profile     | Updating main details should save and be reflected | Update all details, upload image, check usages of details |                      |             |
| 2  | CMS/SiteContent/Pages/Navigation              | Create navigation        | Navigation should be created and saved             | Create navigation and check the details                   |                      | SUCCESS     |
| 3  | CMS/SiteContent/Pages/Navigation              | Publish navigation       | Navigation should publish and be available         | Publish navigation instantly                              |                      | SUCCESS     |
| 4  | CMS/SiteContent/Pages/Navigation              | Edit navigtion           | Navigation can be edited                           | Load navigation and update details                        |                      | SUCCESS     |
| 5  | CMS/SiteContent/Pages/Navigation              | Republish navigation     | Navigation can be republished                      | Republish navigation and check details                    |                      | SUCCESS     |
| 6  | CMS/SiteContent/Pages/Navigation              | Unpublish navigation     | Navigation can be unpublished                      | Unpublish navigation and check details                    |                      | SUCCESS     |
| 7  | CMS/SiteContent/Pages/Navigation              | Sitemap Check            | Editing the navigation should update the sitemap   | Check the sitemap after navigation edits                  |                      | SUCCESS     |
| 8  | CMS/SiteContent/Pages/Pages                   | Create page              | Pages can be created                               | Create test page and check the details                    |                      | SUCCESS     |
| 9  | CMS/SiteContent/Pages/Pages                   | Publish page             | Pages can be published and viewed                  | Publish page and check in browser                         |                      | SUCCESS     |
| 10 | CMS/SiteContent/Pages/Pages                   | Edit page                | Pages can be edited, changes should not be seen    | Edit page and check that there are no changes in browser  |                      | SUCCESS     |
| 11 | CMS/SiteContent/Pages/Pages                   | Republish page           | Pages can be republished and changes updated       | Republish page and check that there are changes           |                      | SUCCESS     |
| 12 | CMS/SiteContent/Pages/Pages                   | Unpublish page           | Pages can be unpublished and unaccessible          | Unpublish page and check that it is not accessible        |                      | SUCCESS     |
| 13 | CMS/SiteContent/Pages/Templates               | Create template          |                                                    |                                                           |                      |             |
| 14 | CMS/SiteContent/Pages/Templates               | Edit template            |                                                    |                                                           |                      |             |
| 15 | CMS/SiteContent/Pages/Templates               | Delete template          |                                                    |                                                           |                      |             |
| 16 | CMS/SiteContent/Pages/Redirects               | Create redirect          |                                                    |                                                           |                      |             |
| 17 | CMS/SiteContent/Pages/Redirects               | Publish redirect         |                                                    |                                                           |                      |             |
| 18 | CMS/SiteContent/Pages/Redirects               | Edit redirect            |                                                    |                                                           |                      |             |
| 19 | CMS/SiteContent/Pages/Redirects               | Republish redirect       |                                                    |                                                           |                      |             |
| 20 | CMS/SiteContent/Pages/Redirects               | Unpublish redirect       |                                                    |                                                           |                      |             |
| 21 | CMS/SiteContent/Pages/YML                     | Export YML skeleton      |                                                    |                                                           |                      | SUCCESS     |
| 22 | CMS/SiteContent/Pages/robots.txt              | Update Entries           |                                                    |                                                           |                      | SUCCESS     |
| 23 | CMS/SiteContent/Pages/robots.txt              | Update Entries (sitemap) |                                                    |                                                           |                      | SUCCESS     |
| 24 | CMS/SiteContent/Metrics                       | Check events             |                                                    |                                                           |                      | SUCCESS     |
| 25 | CMS/SiteContent/Images&Assets                 | Upload PNG               |                                                    |                                                           |                      |             |
| 26 | CMS/SiteContent/Images&Assets                 | Upload JPEG              |                                                    |                                                           |                      |             |
| 27 | CMS/SiteContent/Images&Assets                 | Uploade HEIC             |                                                    |                                                           |                      |             |
| 28 | CMS/SiteContent/Images&Assets                 | Upload existing PNG      |                                                    |                                                           |                      |             |
| 29 | CMS/SiteContent/Images&Assets                 | Upload Existing JPEG     |                                                    |                                                           |                      |             |
| 30 | CMS/SiteContent/Images&Assets                 | Upload illegal filetype  |                                                    |                                                           |                      |             |
| 31 | CMS/SiteContent/Images&Assets                 | Delete an image asset    |                                                    |                                                           |                      |             |
| 32 | CMS/SiteContent/Images&Assets                 | Upload PDF               |                                                    |                                                           |                      |             |
| 33 | CMS/SiteContent/Images&Assets                 | Upload TXT               |                                                    |                                                           |                      |             |
| 34 | CMS/SiteContent/Images&Assets                 | Upload WebP              |                                                    |                                                           |                      |             |
| 35 | CMS/SiteContent/Images&Assets                 | Upload MP4               |                                                    |                                                           |                      |             |
| 36 | CMS/SiteContent/Images&Assets                 | Upload MP3               |                                                    |                                                           |                      |             |
| 37 | CMS/SiteContent/Emails/Email                  | Add new email            |                                                    |                                                           |                      | SUCCESS     |
| 38 | CMS/SiteContent/Emails/Email                  | Edit email               |                                                    |                                                           |                      | SUCCESS     |
| 39 | CMS/SiteContent/Emails/Email                  | Delete email             |                                                    |                                                           |                      | SUCCESS     |
| 40 | CMS/SiteContent/Emails/MailingList            | Create mailing list      |                                                    |                                                           |                      | SUCCESS     |
| 41 | CMS/SiteContent/Emails/MailingList            | Edit mailing list        |                                                    |                                                           |                      | SUCCESS     |
| 42 | CMS/SiteContent/Emails/MailingList            | Delete mailing list      |                                                    |                                                           |                      | SUCCESS     |
| 43 | CMS/SiteContent/Emails/Contacts               | Create contact           |                                                    |                                                           |                      | SUCCESS     |
| 44 | CMS/SiteContent/Emails/Contacts               | Edit contact             |                                                    |                                                           |                      | SUCCESS     |
| 45 | CMS/SiteContent/Emails/Contacts               | Delete contact           |                                                    |                                                           |                      | SUCCESS     |
| 46 | CMS/SiteContent/Taxonomy                      | Create taxonomy          |                                                    |                                                           |                      | SUCCESS     |
| 47 | CMS/SiteContent/Taxonomy                      | Edit taxonomy            |                                                    |                                                           |                      | SUCCESS     |
| 48 | CMS/SiteContent/Taxonomy                      | Delete taxonomy          |                                                    |                                                           |                      | SUCCESS     |
| 49 | CMS/SiteContent/Forms/Forms                   | Create form              |                                                    |                                                           |                      | SUCCESS     |
| 50 | CMS/SiteContent/Forms/Forms                   | Edit form                |                                                    |                                                           |                      | SUCCESS     |
| 51 | CMS/SiteContent/Forms/Forms                   | Delete form              |                                                    |                                                           |                      | SUCCESS     |
| 52 | CMS/SiteContent/Forms/Forms                   | Submit form              |                                                    |                                                           |                      |             |
| 53 | CMS/SiteContent/Forms/Submissions             | View form submissions    |                                                    |                                                           |                      |             |
| 54 | CMS/SiteContent/Dashboards/QuickMenu          | View Quick Menu          |                                                    |                                                           |                      |             |
| 55 | CMS/SiteContent/Dashboards/KPI                | View KPI menu            |                                                    |                                                           |                      |             |
| 56 | CMS/SiteContent/SiteContent/ContactPanel      | Create contact item      |                                                    |                                                           |                      | SUCCESS     |
| 57 | CMS/SiteContent/SiteContent/ContactPanel      | Edit contact item        |                                                    |                                                           |                      | SUCCESS     |
| 58 | CMS/SiteContent/SiteContent/ContactPanel      | Delete contact item      |                                                    |                                                           |                      | SUCCESS     |
| 59 | CMS/SiteContent/SiteContent/PromoPanelIcon    | Create panel icon        |                                                    |                                                           |                      | SUCCESS     |
| 60 | CMS/SiteContent/SiteContent/PromoPanelIcon    | Edit panel icon          |                                                    |                                                           |                      | SUCCESS     |
| 61 | CMS/SiteContent/SiteContent/PromoPanelIcon    | Delete panel icon        |                                                    |                                                           |                      | SUCCESS     |
| 62 | CMS/SiteContent/Business/VoteForms            | WAITING FOR PAUL         |                                                    |                                                           |                      |             |
| 63 | CMS/SiteContent/Business/VoteSubmissions      | WAITING FOR PAUL         |                                                    |                                                           |                      |             |
| 64 | CMS/SiteContent/Business/CommitmentForms      | WAITING FOR PAUL         |                                                    |                                                           |                      |             |
| 65 | CMS/SiteContent/Business/CommitmentSubmission | WAITING FOR PAUL         |                                                    |                                                           |                      |             |
| 66 | CMS/SiteContent/SiteWideAlerts                | Create sitewide alert    |                                                    |                                                           | Foundation colours ? | SUCCESS*    |
| 67 | CMS/SiteContent/SiteWideAlerts                | Edit sitewide alert      |                                                    |                                                           | Foundation colours ? | SUCCESS*    |
| 68 | CMS/SiteContent/SiteWideAlerts                | Delete sitewide alert    |                                                    |                                                           | Foundation colours ? | SUCCESS*    |
| 69 | CMS/UserAccounts/GDPR/Records                 | View GDPR records        |                                                    |                                                           |                      | SUCCESS     |
| 70 | CMS/UserAccounts/GDPR/ConsentOptions          | Add consent clause       |                                                    |                                                           |                      | SUCCESS     |
| 71 | CMS/UserAccounts/GDPR/ConsentOptions          | Edit consent clause      |                                                    |                                                           |                      | SUCCESS     |
| 72 | CMS/UserAccounts/GDPR/ConsentOptions          | Delete consent clause    |                                                    |                                                           |                      | SUCCESS     |
| 73 | CMS/UserAccounts/CMSUsers/LoginHistory        | View login history       |                                                    |                                                           |                      | SUCCESS     |
| 74 | CMS/UserAccounts/CMSUsers/LoginHistory        | Apply date range         |                                                    |                                                           |                      | SUCCESS     |
| 75 | CMS/UserAccounts/CMSUsers/AdminRoles          | Create admin role        |                                                    |                                                           |                      |             |
| 76 | CMS/UserAccounts/CMSUsers/AdminRoles          | Edit admin role          |                                                    |                                                           |                      |             |
| 77 | CMS/UserAccounts/CMSUsers/AdminRoles          | Delete admin role        |                                                    |                                                           |                      |             |
| 78 | CMS/UserAccounts/CMSUsers/AdminRoles          | Assign admin role        |                                                    |                                                           |                      |             |
| 79 | CMS/UserAccounts/CMSUsers/AdminRoles          | Assign and delete role   |                                                    |                                                           |                      |             |
| 80 | CMS/UserAccounts/CMSUsers/AccessRestrictions  | Create restriction       |                                                    |                                                           |                      |             |
| 81 | CMS/UserAccounts/CMSUsers/AccessRestrictions  | Edit restriction         |                                                    |                                                           |                      |             |
| 82 | CMS/UserAccounts/CMSUsers/AccessRestrictions  | Delete restriction       |                                                    |                                                           |                      |             |
| 83 | CMS/UserAccounts/CMSUsers/AccessRestrictions  | Check no restrictions    |                                                    |                                                           |                      |             |
| 84 | CMS/UserAccounts/CMSUsers/AccessRestrictions  | Check full restrictions  |                                                    |                                                           |                      |             |
| 85 | CMS/UserAccounts/CMSUsers/ManageUsers         | Create user              |                                                    |                                                           |                      |             |
| 85 | CMS/UserAccounts/CMSUsers/ManageUsers         | Edit user                |                                                    |                                                           |                      |             |
| 85 | CMS/UserAccounts/CMSUsers/ManageUsers         | User password reset      |                                                    |                                                           |                      |             |
| 85 | CMS/UserAccounts/CMSUsers/ManageUsers         | Delete user              |                                                    |                                                           |                      |             |
| 85 | CMS/UserAccounts/CMSUsers/ManageUsers         | User admin role          |                                                    |                                                           |                      |             |
| 85 | CMS/UserAccounts/CMSUsers/ManageUsers         | User no role             |                                                    |                                                           |                      |             |
|    | CMS/System/Admin/MaintenanceModes             | Site mode: Live          |                                                    |                                                           |                      |             |
|    | CMS/System/Admin/MaintenanceModes             | Site mode: Engima Only   |                                                    |                                                           |                      |             |
|    | CMS/System/Admin/MaintenanceModes             | Site mode: Offline       |                                                    |                                                           |                      |             |
|    | CMS/System/Admin/SystemPreferences            | Check preferences        | Check that preferences load and can be changed     |                                                           |                      |             |
|    | CMS/System/Admin/SecurityKeys                 | Create key               |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/SecurityKeys                 | Edit key                 |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/SecurityKeys                 | Enable key               |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/SecurityKeys                 | Disable key              |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/SecurityKeys                 | Delete key               |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/FeatureFlags                 | Update flag              |                                                    |                                                           |                      |             |
|    | CMS/System/Admin/FeatureFlags                 | Save flags snapshot      |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/FeatureFlags                 | Reset snapshot           |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/FeatureFlags                 | Update SiteFeatures.java |                                                    |                                                           |                      |             |
|    | CMS/System/Admin/MessageSets                  | Create message set       |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/MessageSets                  | Edit message set         |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/MessageSets                  | Delete message set       |                                                    |                                                           |                      | SUCCESS     |
|    | CMS/System/Admin/ClearLocalCache              | Clear cache              |                                                    |                                                           |                      |             |
|    | CMS/System/Admin/ViewSiteRoutes               | Check site routes        |                                                    |                                                           |                      |             |
#### Test Plan Notes
	
	
|   | CMS/System/Admin/RecalculatePageRoutes       |                         |   |   |   |   |
|   | CMS/System/Admin/InstanceConfigCheck         |                         |   |   |   |   |
|   | CMS/System/Admin/StructuredDataViewer        |                         |   |   |   |   |
|   | CMS/System/Admin/MaintenanceModes            |                         |   |   |   |   |
|   | CMS/System/Meta/ConfigureMetadata            |                         |   |   |   |   |
|   | CMS/System/Meta/MetaConfigurationManagers    |                         |   |   |   |   |
|   | CMS/System/BatchJobs                         |                         |   |   |   |   |
|   | CMS/System/QuickMenu                         |                         |   |   |   |   |
|   | CMS/System/SiteExport                        |                         |   |   |   |   |
|   | CMS/System/Logging/ActionTrail               |                         |   |   |   |   |
|   | CMS/System/Logging/ErrorLogs                 |                         |   |   |   |   |
|   | CMS/System/Logging/EmailLogs                 |                         |   |   |   |   |
|   | CMS/Events/Events                            |                         |   |   |   |   |
|   | CMS/Events/Venues                            |                         |   |   |   |   |
|   | CMS/News/Articles                            |                         |   |   |   |   |
|   | CMS/News/NewsletterPanels                    |                         |   |   |   |   |
|   | CMS/SiteSearch                               |                         |   |   |   |   |
|   | Setup                                        | Checkout branch         |   |   |   |   |
|   | Setup                                        | Get dependencies        |   |   |   |   |
|   | Setup                                        | Update site and modules |   |   |   |   |
|   | Setup                                        | Start site              |   |   |   |   |
|   | Setup                                        | Build site              |   |   |   |   |
|   | Setup                                        | Import SQL and assets   |   |   |   |   |
|   | Website/GoogleAnalytics                      | Google Analytics        |   |   |   |   |
|   | Website/DocumentLibrary                      | Document Library        |   |   |   |   |
|   | Website/ReciteMe                             | ReciteMe Loading        |   |   |   |   |
|   | Website/SiteHeader/NavigationBar             | Power Cuts Link         |   |   |   |   |
|   | Website/SiteHeader/MegaMenu                  |                         |   |   |   |   |
|   | Website/CookieNotice                         | Cookie Notice           |   |   |   |   |
|   | Website/Page/Title (page specific)           |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |
|   |                                              |                         |   |   |   |   |

